%define module_name Image-Similar
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(Image/PNG/Libpng.pm) perl(Imager.pm) perl(Scalar/Util.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt5
Summary: find out how similar two images are
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BK/BKB/%{module_name}-%{version}.tar.gz

%description
This is an experimental module for comparing images. It uses a
simplified form of the algorithm described in the An image signature for any kind of image entry elsewhere in this document to calculate image signatures and distances
between images.

The module does not contain its own image-reading facility, so images
must be loaded to the module via one of the following supported Perl
modules:

=over

=item the GD manpage

All image types are supported. RGB images are combined to greyscale
using constants taken from the source code of the Imager manpage.

=item the Imager manpage

All image types are supported. Unless you only need to compare PNG
images, and if you have no prior preference, we suggest using Imager
since it is a very well-behaved module. The conversion to greyscale is
done using Imager's own routines.

=item the Image::PNG::Libpng manpage

This is used for some internals of Image::Similar related to testing
thus it was installed when you installed Image::Similar. However,
Image::PNG::Libpng is only for PNG images.

Image::Similar currently supports GRAY, GRAY_ALPHA, RGB, and RGBA
`Image::PNG::Libpng' image types, but not paletted image types. It
only supports bit depths of eight.

RGB images are combined to greyscale using constants taken from the
source code of the Imager manpage. As of this version, there is no handling of
the alpha channel (transparent pixels) and the background value is
ignored.

=back

Use the load_image entry elsewhere in this document to load the image.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_archlib/I*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.07-alt5
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.07-alt4
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.07-alt3
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.07-alt2.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.07-alt2
- rebuild with perl 5.26

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.05-alt2
- rebuild to get rid of unmets

* Thu Sep 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

